'use strict';

Object.defineProperty(exports, "__esModule", {
    value: true
});

var _moment = require('moment');

var _moment2 = _interopRequireDefault(_moment);

var _ramda = require('ramda');

var _ramda2 = _interopRequireDefault(_ramda);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

function createChangelog(newVersionNumber, validLabels, mergedPullRequests) {
    var groupedPullRequests = _ramda2.default.groupBy(_ramda2.default.prop('label'), mergedPullRequests);
    var date = (0, _moment2.default)().locale('en').format('MMMM D, YYYY');
    var title = `## ${newVersionNumber} (${date})`;

    var changelog = `${title}\n\n`;

    Object.keys(groupedPullRequests).forEach(function (label) {
        var pullRequests = groupedPullRequests[label];

        changelog += `### ${validLabels[label]}\n\n`;

        pullRequests.forEach(function (pullRequest) {
            changelog += `* ${pullRequest.title} (#${pullRequest.id})\n`;
        });

        changelog += '\n';
    });

    return changelog;
}

exports.default = createChangelog;