'use strict';

Object.defineProperty(exports, "__esModule", {
    value: true
});

var _restling = require('restling');

var _restling2 = _interopRequireDefault(_restling);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

function getPullRequestLabel(githubRepo, validLabels, pullRequestId) {
    var validLabelNames = Object.keys(validLabels);
    var url = `https://api.github.com/repos/${githubRepo}/issues/${pullRequestId}/labels`;

    return _restling2.default.get(url).get('data').then(function (labels) {
        var listOfLabels = validLabelNames.join(', ');
        var filteredLabels = labels.filter(function (label) {
            return validLabelNames.indexOf(label.name) !== -1;
        });

        if (filteredLabels.length > 1) {
            throw new Error(`Pull Request #${pullRequestId} has multiple labels of ${listOfLabels}`);
        } else if (filteredLabels.length === 0) {
            throw new Error(`Pull Request #${pullRequestId} has no label of ${listOfLabels}`);
        }

        return filteredLabels[0].name;
    });
}

exports.default = getPullRequestLabel;